package com.ruoyi.system.service.project;

import com.ruoyi.system.domain.project.BmProjectProduct;

import java.util.List;


/**
 * 项目投产Service接口
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public interface IBmProjectProductService 
{
    /**
     * 查询项目投产
     * 
     * @param id 项目投产ID
     * @return 项目投产
     */
    public BmProjectProduct selectBmProjectProductById(Long id);

    /**
     * 查询项目投产列表
     * 
     * @param bmProjectProduct 项目投产
     * @return 项目投产集合
     */
    public List<BmProjectProduct> selectBmProjectProductList(BmProjectProduct bmProjectProduct);

    /**
     * 新增项目投产
     * 
     * @param bmProjectProduct 项目投产
     * @return 结果
     */
    public int insertBmProjectProduct(BmProjectProduct bmProjectProduct);

    /**
     * 修改项目投产
     * 
     * @param bmProjectProduct 项目投产
     * @return 结果
     */
    public int updateBmProjectProduct(BmProjectProduct bmProjectProduct);

    /**
     * 批量删除项目投产
     * 
     * @param ids 需要删除的项目投产ID
     * @return 结果
     */
    public int deleteBmProjectProductByIds(Long[] ids);

    /**
     * 删除项目投产信息
     * 
     * @param id 项目投产ID
     * @return 结果
     */
    public int deleteBmProjectProductById(Long id);
}
